%define	name blackbox
%define	version	0.70.1
%define release	%mkrel 1

Summary: Very small and fast Window Manager
Summary(de): Fenstermanager - Blackbox braucht wenig Speicher und läuft schnell
Name: %{name}
Version: %{version}
Release: %{release}
License: MIT
Group: Graphical desktop/Blackbox
URL: http://blackboxwm.sourceforge.net/
Source: http://downloads.sf.net/blackboxwm/blackbox-%{version}.tar.bz2
Source1: blackbox-startblackbox
Patch0: blackbox-0.70.1-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxt6-devel
BuildRequires: libxext6-devel
BuildRequires: libxft-devel
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
Blackbox is a window manager for the X Window environment, which is
almost completely compliant with ICCCM specified operation policies.
It features nice and fast interface with multiple workspaces and
simple menus. Fast built-in graphics code that can render solids,
gradients and bevels is used to draw window decorations. Remaining
small in size, blackbox preserves memory and CPU.


#german
%description -l de
Auf unixartigen Betriebssystemen ist Blackbox ein in der Programmiersprache C++ 
geschriebener Fenstermanager für das X-Window-System, der sich durch seine 
kompakte Programmgröße auszeichnet. Blackbox braucht wenig Speicher und läuft schnell. 
Insbesondere lohnt sich die Installation auf leistungsschwachen Rechnern, auf 
denen KDE oder GNOME nicht mehr produktiv eingesetzt werden können.

Blackbox bietet in der Standardinstallation

    * Fensterverwaltung,
    * Themes (Styles),
    * Menüs,
    * ein Dock (Slit),
    * eine Symbolleiste und
    * den Desktop-Hintergrund.


%package devel
Summary: Blackbox Toolbox library for writing small applications
Summary(de): Blackbox Toolbox Bibliothek zum schreiben von einfachen Anwendungen
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig libxft-devel

%description devel
This package contains the Blackbox Toolbox files, headers and static library
of the utility class library for writing small applications.

#german
%description devel -l de
Dieses Paket beinhaltet die Blackbox Toolbox Dateien, Headers und statische
Bibliothek zum erstellen von einfachen Anwendungen unter der Blackbox.


%prep
%setup -q
%patch0 -p1 -b .gcc43

%build
autoreconf -fi

%configure2_5x --disable-static \
               --enable-shared 
    

%make 

%install
rm -rf %{buildroot}
%makeinstall_std 

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/startblackbox

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/05blackbox << EOF
NAME=BlackBox
ICON=blackbox.png
EXEC=%{_bindir}/blackbox
DESC=A Light but nice looking window manager
SCRIPT:
exec %{_bindir}/startblackbox
EOF


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
%{make_session}

%postun
/sbin/ldconfig
%{make_session}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COMPLIANCE LICENSE README* RELNOTES TODO
%{_bindir}/*
%{_libdir}/libbt.so.*
%{_datadir}/blackbox/
%{_mandir}/man1/*.1*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/05blackbox

%files devel
%defattr(-,root,root,-)
%{_includedir}/bt/
%exclude %{_libdir}/libbt.la
%{_libdir}/libbt.so
%{_libdir}/pkgconfig/libbt.pc


%changelog
* Wed Nov 11 2009 slick50 <lxgator@gmail.com> 0.70.1-1pclos2010
- initial build

